com.hazelcast.spi.discovery.integration

## Enum DiscoveryMode

- java.lang.Object
- - java.lang.Enum<DiscoveryMode>
  - - com.hazelcast.spi.discovery.integration.DiscoveryMode

- All Implemented Interfaces:
    Serializable, Comparable<DiscoveryMode>

      public enum DiscoveryMode
      extends Enum<DiscoveryMode>

  The `DiscoveryMode` describes how the `DiscoveryStrategy` is going to behave on discovery requests. Depending on the current environment it will either be setup to run in client or server mode.

  Implementors of `DiscoveryStrategy`s are free to change behavior as necessary. One possible use case is to prevent to start a multicast service on clients when only discovery is necessary.

  Since:
    3.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Client` The current runtime environment is a Hazelcast client
    `Member` The current runtime environment is a Hazelcast member node

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DiscoveryMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DiscoveryMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Member

          public static final DiscoveryMode Member

      The current runtime environment is a Hazelcast member node

    - #### Client

          public static final DiscoveryMode Client

      The current runtime environment is a Hazelcast client

  - ### Method Detail

    - #### values

          public static DiscoveryMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DiscoveryMode c : DiscoveryMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DiscoveryMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.